// pages/charginfo/eleCarMap.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    longitude:116.4965075,
    latitude: 40.006103,
    speed:0,
    accuracy:0,
    chargid:chargid
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.$bus.on('eleCarMapPage', this.addHandler)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

  addHandler(json){
    let {
        chargid
    } = json
    this.setData({
        chargid
    })

  },
  getEleData(){

    let that = this;
    // 充电桩
    wx.request({
      url: getApp().globalData.postHeadAgreement +'/restapi/wechat/chargInfo',
      data: {
        id: that.data.chargid,
        ele_pagenum: this.data.ele_pagenum++,
        ivType: 1,
        pagesize: 30,
      },
      method: 'POST',
      success(res) {
        console.log(res);
        let chargList = res.data.chargList.rows;

        chargList.forEach(key => {
          let chargstatusname = '';
          let chargstatusclass = '';
          if(key.chargstatus == 2){
            chargstatusname='空闲中'
            chargstatusclass = 'chargstatus_kxz'
          }else if(key.chargstatus == 11){
            chargstatusname='已插枪'
            chargstatusclass = 'chargstatus_ycq'
          }else if(key.chargstatus == 3 || key.chargstatus == 10){
            chargstatusname='充电中'
            chargstatusclass = 'chargstatus_cdz'
          }else if(key.chargstatus == 0){
            chargstatusname='离线'
            chargstatusclass = 'chargstatus_lx'
          }else{
            chargstatusname='故障'
            chargstatusclass = 'chargstatus_gz'
          }
          key.chargstatusname = chargstatusname;
          key.chargstatusclass = chargstatusclass;
      })

        console.log(chargList);
        // that.rechargeTimeOrder(chargemoneylogs);
        wx.hideLoading()
        that.setData({
          ele_chargList: that.data.ele_chargList.concat(chargList),
          ele_total: res.data.chargList.total,
          ele_dataLoading: false,
          ele_fastFree : res.data.fastFree,
          ele_slowFree : res.data.slowFree,
          ele_fastSum : res.data.fastSum,
          ele_slowSum : res.data.slowSum
        });
      }
    });
    
  }
})